> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.byteful.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Zip Code

> Retrieves a specific Zip Codeq.




## OpenAPI

````yaml get /public/user/zip_code/retrieve/{zip_code_id}
openapi: 3.0.1
info:
  title: Byteful Public User API
  description: Public API used for third-party usage.
  termsOfService: https://byteful.com
  contact:
    url: https://byteful.com
    email: developer@byteful.com
  version: '1.0'
  x-logo:
    altText: Byteful
    backgroundColor: '#6354eb'
    url: >-
      https://pbs.twimg.com/profile_banners/1038803520605118464/1729783007/1500x500
servers:
  - url: https://api.byteful.com/1.0/
security: []
paths:
  /public/user/zip_code/retrieve/{zip_code_id}:
    get:
      tags:
        - Zip Code
      summary: Retrieve Zip Code
      description: |
        Retrieves a specific Zip Codeq.
      parameters:
        - name: zip_code_id
          in: path
          description: ID of the Zip Code to retrieve
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Zip Code Retrieve
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ZipCodeSuccessfulRetrieveResponse'
      security:
        - APIPrivateKey: []
          APIPublicKey: []
components:
  schemas:
    ZipCodeSuccessfulRetrieveResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            subdivision_id:
              type: string
              example: ru-irk
            zip_code_alias:
              type: string
              example: kt3
            zip_code_creation_datetime:
              type: string
              format: date-time
            zip_code_id:
              type: integer
              example: 123
            zip_code_last_update_datetime:
              type: string
              format: date-time
            zip_code_node_count:
              type: integer
              example: 1234
          description: Retrieved Zip Code item details.
        message:
          type: string
          description: Status message for the retrieval.
      description: Zip Code retrieve was successful.
      example:
        data:
          subdivision_id: ru-irk
          zip_code_alias: kt3
          zip_code_id: 123
          zip_code_node_count: 1234
        message: Zip Code successfully retrieved.
  securitySchemes:
    APIPrivateKey:
      type: apiKey
      description: ' Private API key for user-level authentication.'
      name: X-API-Private-Key
      in: header
    APIPublicKey:
      type: apiKey
      description: ' Public API key for user-level authentication.'
      name: X-API-Public-Key
      in: header

````